/* Styles for the product card */
.posDevice {
    margin-top: 20px;
    margin-bottom: 20px;
}

.posDevice .container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.posDevice .row {
    display: flex;
    flex-wrap: wrap;
    width: 100%;
    margin: -10px;
}

.posDevice .col {
    /* 3 items per row */
    flex: 1 1 calc(33.33% - 20px);
    box-sizing: border-box;
    padding: 0;
    margin: 10px;
}

.posDevice .ImgCard {
    position: relative;
    border: 1px solid rgba(0, 0, 0, 0.1);
    box-sizing: border-box;
    border-radius: 8px;
    background-color: #fff;
    text-align: center;
    padding: 20px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 100%;
}

.posDevice .ImgCard img {
    max-width: 100%;
    border-radius: 8px;
    margin-bottom: 15px;
    object-fit: contain;
    width: 200px;
    height: 150px;
}

/* .posDevice .container .row .col .ImgCard .card-content h3 {
    font-size: 5.75rem !important;
} */

.posDevice .ImgCard a {
    text-decoration: none;
    color: inherit;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.posDevice .POSDeviceImg {
    border-radius: 10px;
}

.posDevice .ImgCard .overlay {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    height: 100%;
    width: 100%;
    opacity: 0;
    transition: .5s ease;
    background-color: rgba(0, 0, 0, 0.5);
    border-radius: 8px;
}

.posDevice .ImgCard:hover .overlay {
    opacity: 1;
}

.posDevice .overlay-text {
    color: white;
    font-size: 20px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
}

/* Media queries for responsiveness */
@media (max-width: 1200px) {
    .posDevice .col {
        /* 2 items per row on medium screens */
        flex: 1 1 calc(50% - 20px);
    }
}

@media (max-width: 768px) {
    .posDevice .col {
        /* 2 items per row on small screens */
        flex: 1 1 calc(50% - 20px);
    }
}

@media (max-width: 480px) {
    .posDevice .col {
        /* 1 item per row on extra small screens */
        flex: 1 1 100%;
    }
}

/* Styles for the browseByUseCases page */
.browseByUseCases {
    margin-top: 20px;
    margin-bottom: 20px;
}

.browseByUseCases .container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.browseByUseCases .row {
    display: flex;
    flex-wrap: wrap;
    width: 100%;
    margin: -10px;
}

.browseByUseCases .col {
    /* 1 item per row */
    flex: 1 1 calc(100% - 20px);
    box-sizing: border-box;
    padding: 0;
    margin: 10px;
}

.browseByUseCases .ImgCard {
    position: relative;
    border: 1px solid rgba(0, 0, 0, 0.1);
    box-sizing: border-box;
    border-radius: 8px;
    background-color: #fff;
    text-align: left;
    padding: 20px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 100%;
}

.browseByUseCases .ImgCard img {
    display: none;
}

.browseByUseCases .ImgCard .overlay {
    display: none;
}

.browseByUseCases .overlay-text {
    display: none;
}

/* Card content styles */
.browseByUseCases .ImgCard .card-content h2 {
    font-size: 24px;
    font-weight: bold;
    margin-bottom: 10px;
}

.browseByUseCases .ImgCard .card-content p {
    font-size: 16px;
    color: #666;
}

/* Media queries for responsiveness
1 item per row on screens */

@media (max-width: 1200px) {
    .browseByUseCases .col {
        flex: 1 1 calc(100% - 20px);
    }
}

@media (max-width: 768px) {
    .browseByUseCases .col {
        flex: 1 1 calc(100% - 20px);
    }
}

@media (max-width: 480px) {
    .browseByUseCases .col {
        flex: 1 1 100%;
    }
}

/* Styles for the serviceRate page */

.serviceRate {
    margin-top: 20px;
}

.serviceRate .container {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.serviceRate .container .personalized-pricing {
    text-align: center;
    margin-bottom: 30px;
}

.serviceRate .container .personalized-pricing h1 {
    font-size: 24px;
    color: #333;
    margin-bottom: 10px;
}

.serviceRate .container .personalized-pricing p {
    font-size: 16px;
    color: #666;
    margin: 5px 0;
}

.serviceRate .container .row {
    display: flex;
    flex-wrap: wrap;
    width: 100%;
}

.serviceRate .container .col {
    flex: 1 1 calc(33.333% - 20px);
    margin: 10px 0;
    padding: 0 10px;
}

.serviceRate .container .col .ImgCard {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 15px 20px;
    background-color: white;
    border-radius: 8px;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.1);
    transition: box-shadow 0.3s ease;
}

.serviceRate .container .col .ImgCard:hover {
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.15);
}

.serviceRate .container .col .ImgCard .card-content h4 {
    font-size: 16px;
    color: #333;
    margin: 0;
}

.serviceRate .container .col .ImgCard::after {
    content: '→';
    font-size: 20px;
    color: #999;
}

@media (max-width: 1200px) {
    .serviceRate .container .col {
        flex: 1 1 calc(100% - 20px);
    }
}

@media (max-width: 768px) {
    .serviceRate .container .col {
        flex: 1 1 calc(100% - 20px);
    }
}

@media (max-width: 480px) {
    .serviceRate .container .col {
        flex: 1 1 100%;
    }
}

/* Styles for the industry-list page */
.industry-list {
    margin-top: 20px;
    margin-bottom: 20px;
}

.industry-list .container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.industry-list .row {
    display: flex;
    flex-wrap: wrap;
    width: 100%;
    margin: -10px;
}

.industry-list .col {
    /* 1 item per row */
    flex: 1 1 calc(100% - 20px);
    box-sizing: border-box;
    padding: 0;
    margin: 10px;
}

.industry-list .ImgCard {
    position: relative;
    border: 1px solid rgba(0, 0, 0, 0.1);
    box-sizing: border-box;
    border-radius: 8px;
    background-color: #fff;
    text-align: left;
    padding: 20px;
    display: flex;
    align-items: center;
    height: 100%;
    cursor: pointer;
    transition: box-shadow 0.3s ease-in-out;
}

.industry-list .ImgCard:hover {
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

.industry-list .ImgCard::after {
    content: '→';
    font-size: 20px;
    color: #999;
    position: absolute;
    right: 20px;
}

.industry-list .ImgCard a {
    display: block;
    width: 100%;
    text-decoration: none;
    color: inherit;
}

.industry-list .ImgCard a:hover {
    color: #007bff;
    /* Blue color for the link on hover */
}

.industry-list .ImgCard a .icon {
    font-size: 20px;
    color: #999;
    float: right;
}

.industry-list .ImgCard img {
    display: none;
}

.industry-list .ImgCard .overlay {
    display: none;
}

.industry-list .overlay-text {
    display: none;
}

.industry-list .ImgCard .card-content {
    width: 100%;
}

.industry-list .ImgCard .card-content a {
    font-size: 18px;
    font-weight: bold;
    margin-bottom: 0;
    color: inherit;
}

/* Media queries for responsiveness */
@media (max-width: 1200px) {
    .industry-list .col {
        flex: 1 1 calc(100% - 20px);
    }
}

@media (max-width: 768px) {
    .industry-list .col {
        flex: 1 1 calc(100% - 20px);
    }
}

@media (max-width: 480px) {
    .industry-list .col {
        flex: 1 1 100%;
    }
}